Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class StderrStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.StderrStream

public class StderrStream
extends StreamImpl

Stream encapsulating System.err.

Fields inherited from class com.caucho.vfs.StreamImpl
`nullPath, path`

Method Summary
`boolean` | `canWrite()` The standard error stream returns true since it's writable.
`static StderrStream` | `create()` Returns the StderrStream singleton
`void` | `write(byte[] buf, int offset, int length, boolean isEnd)` Writes the data to the System.out.

Methods inherited from class com.caucho.vfs.StreamImpl
`canRead, clearWrite, close, flush, getAttribute, getAttributeNames, getAvailable, getFlushOnNewline, getNewline, getPath, getReadPosition, hasSkip, read, removeAttribute, setAttribute, setPath, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static StderrStream create()

  Returns the StderrStream singleton

### canWrite

    public boolean canWrite()

  The standard error stream returns true since it's writable.
  Overrides:
    `canWrite` in class `StreamImpl`

### write

    public void write(byte[] buf,
                      int offset,
                      int length,
                      boolean isEnd)
               throws java.io.IOException

  Writes the data to the System.out.
  Overrides:
    `write` in class `StreamImpl`
  Parameters:
    `buf` - the buffer to write.
    `offset` - starting offset in the buffer.
    `length` - number of bytes to write.
    `isEnd` - true when the stream is closing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD